OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.RegisterCombiners

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVRegisterCombiners :: MonadIO m => m Bool
- gl_NV_register_combiners :: Bool
- gl_BIAS_BY_NEGATIVE_ONE_HALF_NV :: GLenum
- gl_COLOR_SUM_CLAMP_NV :: GLenum
- gl_COMBINER0_NV :: GLenum
- gl_COMBINER1_NV :: GLenum
- gl_COMBINER2_NV :: GLenum
- gl_COMBINER3_NV :: GLenum
- gl_COMBINER4_NV :: GLenum
- gl_COMBINER5_NV :: GLenum
- gl_COMBINER6_NV :: GLenum
- gl_COMBINER7_NV :: GLenum
- gl_COMBINER_AB_DOT_PRODUCT_NV :: GLenum
- gl_COMBINER_AB_OUTPUT_NV :: GLenum
- gl_COMBINER_BIAS_NV :: GLenum
- gl_COMBINER_CD_DOT_PRODUCT_NV :: GLenum
- gl_COMBINER_CD_OUTPUT_NV :: GLenum
- gl_COMBINER_COMPONENT_USAGE_NV :: GLenum
- gl_COMBINER_INPUT_NV :: GLenum
- gl_COMBINER_MAPPING_NV :: GLenum
- gl_COMBINER_MUX_SUM_NV :: GLenum
- gl_COMBINER_SCALE_NV :: GLenum
- gl_COMBINER_SUM_OUTPUT_NV :: GLenum
- gl_CONSTANT_COLOR0_NV :: GLenum
- gl_CONSTANT_COLOR1_NV :: GLenum
- gl_DISCARD_NV :: GLenum
- gl_EXPAND_NEGATE_NV :: GLenum
- gl_EXPAND_NORMAL_NV :: GLenum
- gl_E_TIMES_F_NV :: GLenum
- gl_FOG :: GLenum
- gl_HALF_BIAS_NEGATE_NV :: GLenum
- gl_HALF_BIAS_NORMAL_NV :: GLenum
- gl_MAX_GENERAL_COMBINERS_NV :: GLenum
- gl_NONE :: GLenum
- gl_NUM_GENERAL_COMBINERS_NV :: GLenum
- gl_PRIMARY_COLOR_NV :: GLenum
- gl_REGISTER_COMBINERS_NV :: GLenum
- gl_SCALE_BY_FOUR_NV :: GLenum
- gl_SCALE_BY_ONE_HALF_NV :: GLenum
- gl_SCALE_BY_TWO_NV :: GLenum
- gl_SECONDARY_COLOR_NV :: GLenum
- gl_SIGNED_IDENTITY_NV :: GLenum
- gl_SIGNED_NEGATE_NV :: GLenum
- gl_SPARE0_NV :: GLenum
- gl_SPARE0_PLUS_SECONDARY_COLOR_NV :: GLenum
- gl_SPARE1_NV :: GLenum
- gl_TEXTURE0_ARB :: GLenum
- gl_TEXTURE1_ARB :: GLenum
- gl_UNSIGNED_IDENTITY_NV :: GLenum
- gl_UNSIGNED_INVERT_NV :: GLenum
- gl_VARIABLE_A_NV :: GLenum
- gl_VARIABLE_B_NV :: GLenum
- gl_VARIABLE_C_NV :: GLenum
- gl_VARIABLE_D_NV :: GLenum
- gl_VARIABLE_E_NV :: GLenum
- gl_VARIABLE_F_NV :: GLenum
- gl_VARIABLE_G_NV :: GLenum
- gl_ZERO :: GLenum
- glCombinerInputNV :: MonadIO m => GLenum -> GLenum -> GLenum -> GLenum -> GLenum -> GLenum -> m ()
- glCombinerOutputNV :: MonadIO m => GLenum -> GLenum -> GLenum -> GLenum -> GLenum -> GLenum -> GLenum -> GLboolean -> GLboolean -> GLboolean -> m ()
- glCombinerParameterfNV :: MonadIO m => GLenum -> GLfloat -> m ()
- glCombinerParameterfvNV :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glCombinerParameteriNV :: MonadIO m => GLenum -> GLint -> m ()
- glCombinerParameterivNV :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glFinalCombinerInputNV :: MonadIO m => GLenum -> GLenum -> GLenum -> GLenum -> m ()
- glGetCombinerInputParameterfvNV :: MonadIO m => GLenum -> GLenum -> GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetCombinerInputParameterivNV :: MonadIO m => GLenum -> GLenum -> GLenum -> GLenum -> Ptr GLint -> m ()
- glGetCombinerOutputParameterfvNV :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetCombinerOutputParameterivNV :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLint -> m ()
- glGetFinalCombinerInputParameterfvNV :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetFinalCombinerInputParameterivNV :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()

# Extension Support

glGetNVRegisterCombiners :: MonadIO m => m Bool

Is the NV_register_combiners extension supported?

gl_NV_register_combiners :: Bool

Is the NV_register_combiners extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVRegisterCombiners` in those cases instead.

# Enums

gl_BIAS_BY_NEGATIVE_ONE_HALF_NV :: GLenum

gl_COLOR_SUM_CLAMP_NV :: GLenum

gl_COMBINER0_NV :: GLenum

gl_COMBINER1_NV :: GLenum

gl_COMBINER2_NV :: GLenum

gl_COMBINER3_NV :: GLenum

gl_COMBINER4_NV :: GLenum

gl_COMBINER5_NV :: GLenum

gl_COMBINER6_NV :: GLenum

gl_COMBINER7_NV :: GLenum

gl_COMBINER_AB_DOT_PRODUCT_NV :: GLenum

gl_COMBINER_AB_OUTPUT_NV :: GLenum

gl_COMBINER_BIAS_NV :: GLenum

gl_COMBINER_CD_DOT_PRODUCT_NV :: GLenum

gl_COMBINER_CD_OUTPUT_NV :: GLenum

gl_COMBINER_COMPONENT_USAGE_NV :: GLenum

gl_COMBINER_INPUT_NV :: GLenum

gl_COMBINER_MAPPING_NV :: GLenum

gl_COMBINER_MUX_SUM_NV :: GLenum

gl_COMBINER_SCALE_NV :: GLenum

gl_COMBINER_SUM_OUTPUT_NV :: GLenum

gl_CONSTANT_COLOR0_NV :: GLenum

gl_CONSTANT_COLOR1_NV :: GLenum

gl_DISCARD_NV :: GLenum

gl_EXPAND_NEGATE_NV :: GLenum

gl_EXPAND_NORMAL_NV :: GLenum

gl_E_TIMES_F_NV :: GLenum

gl_FOG :: GLenum

gl_HALF_BIAS_NEGATE_NV :: GLenum

gl_HALF_BIAS_NORMAL_NV :: GLenum

gl_MAX_GENERAL_COMBINERS_NV :: GLenum

gl_NONE :: GLenum

gl_NUM_GENERAL_COMBINERS_NV :: GLenum

gl_PRIMARY_COLOR_NV :: GLenum

gl_REGISTER_COMBINERS_NV :: GLenum

gl_SCALE_BY_FOUR_NV :: GLenum

gl_SCALE_BY_ONE_HALF_NV :: GLenum

gl_SCALE_BY_TWO_NV :: GLenum

gl_SECONDARY_COLOR_NV :: GLenum

gl_SIGNED_IDENTITY_NV :: GLenum

gl_SIGNED_NEGATE_NV :: GLenum

gl_SPARE0_NV :: GLenum

gl_SPARE0_PLUS_SECONDARY_COLOR_NV :: GLenum

gl_SPARE1_NV :: GLenum

gl_TEXTURE0_ARB :: GLenum

gl_TEXTURE1_ARB :: GLenum

gl_UNSIGNED_IDENTITY_NV :: GLenum

gl_UNSIGNED_INVERT_NV :: GLenum

gl_VARIABLE_A_NV :: GLenum

gl_VARIABLE_B_NV :: GLenum

gl_VARIABLE_C_NV :: GLenum

gl_VARIABLE_D_NV :: GLenum

gl_VARIABLE_E_NV :: GLenum

gl_VARIABLE_F_NV :: GLenum

gl_VARIABLE_G_NV :: GLenum

gl_ZERO :: GLenum

# Functions

glCombinerInputNV

Arguments

:: MonadIO m |
=> GLenum | `stage` of type `CombinerStageNV`.
-> GLenum | `portion` of type `CombinerPortionNV`.
-> GLenum | `variable` of type `CombinerVariableNV`.
-> GLenum | `input` of type `CombinerRegisterNV`.
-> GLenum | `mapping` of type `CombinerMappingNV`.
-> GLenum | `componentUsage` of type `CombinerComponentUsageNV`.
-> m () |

glCombinerOutputNV

Arguments

:: MonadIO m |
=> GLenum | `stage` of type `CombinerStageNV`.
-> GLenum | `portion` of type `CombinerPortionNV`.
-> GLenum | `abOutput` of type `CombinerRegisterNV`.
-> GLenum | `cdOutput` of type `CombinerRegisterNV`.
-> GLenum | `sumOutput` of type `CombinerRegisterNV`.
-> GLenum | `scale` of type `CombinerScaleNV`.
-> GLenum | `bias` of type `CombinerBiasNV`.
-> GLboolean | `abDotProduct` of type Boolean.
-> GLboolean | `cdDotProduct` of type Boolean.
-> GLboolean | `muxSum` of type Boolean.
-> m () |

glCombinerParameterfNV

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `CombinerParameterNV`.
-> GLfloat | `param`.
-> m () |

glCombinerParameterfvNV

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `CombinerParameterNV`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

glCombinerParameteriNV

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `CombinerParameterNV`.
-> GLint | `param`.
-> m () |

glCombinerParameterivNV

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `CombinerParameterNV`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

glFinalCombinerInputNV

Arguments

:: MonadIO m |
=> GLenum | `variable` of type `CombinerVariableNV`.
-> GLenum | `input` of type `CombinerRegisterNV`.
-> GLenum | `mapping` of type `CombinerMappingNV`.
-> GLenum | `componentUsage` of type `CombinerComponentUsageNV`.
-> m () |

glGetCombinerInputParameterfvNV

Arguments

:: MonadIO m |
=> GLenum | `stage` of type `CombinerStageNV`.
-> GLenum | `portion` of type `CombinerPortionNV`.
-> GLenum | `variable` of type `CombinerVariableNV`.
-> GLenum | `pname` of type `CombinerParameterNV`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetCombinerInputParameterivNV

Arguments

:: MonadIO m |
=> GLenum | `stage` of type `CombinerStageNV`.
-> GLenum | `portion` of type `CombinerPortionNV`.
-> GLenum | `variable` of type `CombinerVariableNV`.
-> GLenum | `pname` of type `CombinerParameterNV`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetCombinerOutputParameterfvNV

Arguments

:: MonadIO m |
=> GLenum | `stage` of type `CombinerStageNV`.
-> GLenum | `portion` of type `CombinerPortionNV`.
-> GLenum | `pname` of type `CombinerParameterNV`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetCombinerOutputParameterivNV

Arguments

:: MonadIO m |
=> GLenum | `stage` of type `CombinerStageNV`.
-> GLenum | `portion` of type `CombinerPortionNV`.
-> GLenum | `pname` of type `CombinerParameterNV`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetFinalCombinerInputParameterfvNV

Arguments

:: MonadIO m |
=> GLenum | `variable` of type `CombinerVariableNV`.
-> GLenum | `pname` of type `CombinerParameterNV`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetFinalCombinerInputParameterivNV

Arguments

:: MonadIO m |
=> GLenum | `variable` of type `CombinerVariableNV`.
-> GLenum | `pname` of type `CombinerParameterNV`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |